<?php
/*
Plugin Name: Flipbook Catalog
Plugin URI: http://appsolutedev.com/pluginjs/products-2/flipbook-catalog/
Description: This plugin allows users to easily create a Flipbook Catalog with their existing Woocommerce products, or any products or images.  The Pro version enables wish lists, provides multiple page layouts and much more.
Version: 1.0
Author: PluginJS
Author URI: http://pluginjs.com
License: GPL3
License URI: http://www.gnu.org/licenses/gpl-3.0.html
Copyright 2013 by Appsolute Media LLC - All rights reserved
*/
define('SERVER_HOST', 'http://pluginjs.com/');
add_action('init', 'wpcat_custom_page_catalog');
function wpcat_custom_page_catalog()
{
  $labels = array(
    'name' => __('Catalog', 'wp_catalog'),
    'singular_name' => __('Add catalog','wp_catalog'),
    'add_new' => __('Add New','wp_catalog'),
	'add_new_item' => __('Add New Catalog','wp_catalog'),
    'edit_item' => __('Edit Catalog','wp_catalog'),
    'new_item' => __('New Catalog','wp_catalog'),
    'view_item' => __('View Catalog','wp_catalog'),
    'search_items' => __('Search Catalog','wp_catalog'),
    'not_found' =>  __('Catalog not found','wp_catalog'),
    'not_found_in_trash' => __('Catalog not found','wp_catalog'),
    'parent_item_colon' => '',
    'menu_name' => __('Catalog','wp_catalog')
 );
  $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true,
    'show_in_menu' => true,
	'show_in_nav_menus' => true,
    'query_var' => true,
    'rewrite' => true,
    'capability_type' => 'post',
    'has_archive' => true,
    'hierarchical' => false,
    'menu_position' => null,
    'supports' => array('title')
  );
  register_post_type('catalog',$args);
}
add_action('plugins_loaded', 'wpcat_catalog_setup');
function wpcat_admin_script(){
        wp_enqueue_media();
        wp_enqueue_script('media-upload');
        wp_enqueue_script('thickbox');
		wp_enqueue_style('media');
		wp_enqueue_script('jquery');
		wp_enqueue_script('wpcat_admin_script', WP_PLUGIN_URL.'/wp_catalog/js/admin.min.js', array('jquery'));
		wp_enqueue_script('jquery-ui-autocomplete', array('jquery'));
		wp_enqueue_script('font_catalog_js', WP_PLUGIN_URL.'/wp_catalog/js/jquery.fontselector.js');
		wp_enqueue_script('font_color_js', WP_PLUGIN_URL.'/wp_catalog/js/colorpicker.js');
		$path = array(
		'empty'			=> WP_PLUGIN_URL.'/wp_catalog/images/empty.jpg',
		'four'			=> WP_PLUGIN_URL.'/wp_catalog/images/four.jpg',
		'three_bottom'	=> WP_PLUGIN_URL.'/wp_catalog/images/three-bottom.jpg',
		'three_down'	=> WP_PLUGIN_URL.'/wp_catalog/images/three-down.jpg',
		'two'			=> WP_PLUGIN_URL.'/wp_catalog/images/two.jpg',
		'path_to_color' => WP_PLUGIN_URL.'/wp_catalog/images/color.png',
	);
	
	wp_localize_script('wpcat_admin_script', 'path', $path);
	if (is_plugin_active('woocommerce/woocommerce.php'))
		$is_woo='yes';
	else
		$is_woo='no';
	wp_localize_script('wpcat_admin_script', 'is_woo', $is_woo);
	wp_localize_script( 'wpcat_admin_script', 'myajax', array('url' => admin_url()));
	$localized = array(
		'Delete' => __('Delete', 'wp_catalog'),
		'PageName' => __('Page name', 'wp_catalog'),
		'PageOrder' => __('Page order', 'wp_catalog'),
		'PageType' => __('Page type', 'wp_catalog'),
		'PageCover' => __('Cover page', 'wp_catalog'),
		'UploadCoverImage' => __('Upload Cover Image', 'wp_catalog'),
		'CoverTitle' => __('Cover title', 'wp_catalog'),
		'LeftSideLayout' => __('Left side layout', 'wp_catalog'),
		'RightSideLayout' => __('Right side layout', 'wp_catalog'),
		'Image1' => __('Upload Image 1', 'wp_catalog'),
		'Image1Url' => __('Image 1 URL', 'wp_catalog'),
		'Image2' => __('Upload Image 2', 'wp_catalog'),
		'Image2Url' => __('Image 2 URL', 'wp_catalog'),
		'Image3' => __('Upload Image 3', 'wp_catalog'),
		'Image3Url' => __('Image 3 URL', 'wp_catalog'),
		'Image4' => __('Upload Image 4', 'wp_catalog'),
		'Image4Url' => __('Image 4 URL', 'wp_catalog'),
		'PageTypeLeft' => __('Left side', 'wp_catalog'),
		'PageTypeRight' => __('Right side', 'wp_catalog'),
		'PageTypeLeftRight' => __('Left and right sides', 'wp_catalog'),
		'Image1WooCommerce' => __('WooCommerce image', 'wp_catalog'),
		'Image2WooCommerce' => __('WooCommerce image', 'wp_catalog'),
		'Image3WooCommerce' => __('WooCommerce image', 'wp_catalog'),
		'Image4WooCommerce' => __('WooCommerce image', 'wp_catalog'),
		'ImageCorners' => __('Image cornes', 'wp_catalog'),
		'frame_enabled'=> __('Frame enables', 'wp_catalog'),
		'frame_label' => __('Frame', 'wp_catalog'),
		'top_left_frame' => __('Top left frame image', 'wp_catalog'),
		'top_right_frame' => __('Top right frame image', 'wp_catalog'),
		'bottom_right_frame' => __('Bottom right frame image', 'wp_catalog'),
		'bottom_left_frame' => __('Bottom left frame image', 'wp_catalog'),
		'upl' => __('Upload', 'wp_catalog'),
		'title_img1' =>__('Display Name for Image 1', 'wp_catalog'),
		'price_img1' =>__('Display Price for Image 1', 'wp_catalog'),
		'title_img2' =>__('Display Name for Image 2', 'wp_catalog'),
		'price_img2' =>__('Display Price for Image 2', 'wp_catalog'),
		'title_img3' =>__('Display Name for Image 3', 'wp_catalog'),
		'price_img3' =>__('Display Price for Image 3', 'wp_catalog'),
		'title_img4' =>__('Display Name for Image 4', 'wp_catalog'),
		'price_img4' =>__('Display Price for Image 4', 'wp_catalog'),
		'showTitle' =>__('Show Title Product', 'wp_catalog'),
		'showPrice' =>__('Show Price Product', 'wp_catalog'),
	);
	wp_localize_script('wpcat_admin_script', 'loc', $localized);
	wp_localize_script('wpcat_admin_script', 'loader', WP_PLUGIN_URL.'/wp_catalog/images/loader.gif');
	$frame=get_option('frame');
	$frame=json_encode($frame);
	$array_fram=array(
		'frame' => $frame,
	);
	wp_localize_script('wpcat_admin_script', 'frame_obj', $array_fram);
	$cataloges=get_posts('post_type=catalog');
	wp_localize_script('wpcat_admin_script', 'cataloges', $cataloges);
	$transient=get_transient('wpcat_functionnal_return_result');
	wp_localize_script( 'wpcat_admin_script', 'transient', array('is' => $transient));
};
add_action('admin_head', 'wpcat_admin_script');
function wpcat_frontend_scripts(){
	wp_enqueue_script('jquery');
	wp_enqueue_script('main', WP_PLUGIN_URL.'/wp_catalog/js/main.min.js', array('jquery'));
	wp_localize_script( 'main', 'myajax', array('url' => admin_url(), 'aj'=>$ajaxurl));
	$border_cat=get_option('border');
	wp_localize_script( 'main', 'borders', $border_cat);
	
}
add_action( 'wp_enqueue_scripts', 'wpcat_frontend_scripts' );
function wpcat_style_admin(){
	wp_enqueue_style('admin_style', WP_PLUGIN_URL.'/wp_catalog/css/admin_catalogue.css');
	wp_enqueue_style('admin_style_color', WP_PLUGIN_URL.'/wp_catalog/css/jquery.crayonbox.css');
	wp_enqueue_style('font_catalog_css', WP_PLUGIN_URL.'/wp_catalog/css/fontselector.css');
	wp_enqueue_style('font_color_css', WP_PLUGIN_URL.'/wp_catalog/css/colorpicker.css');
}
add_action('admin_init', 'wpcat_style_admin');
function wpcat_style_flippage(){
	wp_enqueue_style('frontendflippage', WP_PLUGIN_URL.'/wp_catalog/css/frontend.flippage.css');
	$page = get_page_by_title(get_option('wishlist_page'));
	$link=get_permalink($page->ID);
	wp_localize_script('main', 'wishlink', $link);
	$messages_whish=get_option('wish');
	
	if(!empty($messages_whish)){
		if($messages_whish['messages']['add']!='')
			$mes_add=$messages_whish['messages']['add'];
		else
			$mes_add=__('The product is added to wish list', 'wp_catalog');
		if($messages_whish['messages']['addallready']!='')
			$mes_add_all=$messages_whish['messages']['addallready'];
		else
			$mes_add_all=__('The product is already contained!','wp_catalog');
	}
	$location=array(
		'WishList' => __('Wish list', 'wp_catalog'),
		'msg_body' => $mes_add,
		'msg_body_empty' => $mes_add_all,
		'msg_title' => __('Info', 'wp_catalog')
	);
	wp_localize_script('main', 'loc', $location);
}
add_action('wp_enqueue_scripts', 'wpcat_style_flippage');
function wpcat_catalog_setup() {
    load_plugin_textdomain('wp_catalog', get_template_directory() . '/languages');
}
add_action( 'init', 'wpcat_create_catalog_taxonomies', 0 );
function wpcat_create_catalog_taxonomies(){
	$labels_c = array(
        'name' => _x( 'Categories', 'taxonomy general name' ),
        'singular_name' => _x( 'Category', 'taxonomy singular name' ),
        'search_items' =>  __( 'Search Categories' ),
        'all_items' => __( 'All Categories' ),
        'parent_item' => __( 'Parent category' ),
        'parent_item_colon' => __( 'Parent category:' ),
        'edit_item' => __( 'Change category' ),
        'update_item' => __( 'Update category' ),
        'add_new_item' => __( 'Add New category' ),
        'new_item_name' => __( 'New Name category' ),
        'menu_name' => __( 'Categories' ),
    );
    register_taxonomy('genre', array('catalog'), array(
        'hierarchical' => true,
        'labels' => $labels_c,
        'show_ui' => true,
        'query_var' => true,
        'rewrite' => array( 'slug' => 'genre' ),
    ));
    $labels_t = array(
        'name' => _x( 'Tags', 'taxonomy general name' ),
        'singular_name' => _x( 'Tag', 'taxonomy singular name' ),
        'search_items' =>  __( 'Search Tags' ),
        'popular_items' => __( 'Popular Tags' ),
        'all_items' => __( 'All Tags' ),
        'parent_item' => null,
        'parent_item_colon' => null,
        'edit_item' => __( 'change tag' ),
        'update_item' => __( 'Update tag' ),
        'add_new_item' => __( 'Add New tag' ),
        'new_item_name' => __( 'New Name tag' ),
        'separate_items_with_commas' => __( 'Separate tags' ),
        'add_or_remove_items' => __( 'Add or remove tags' ),
        'choose_from_most_used' => __( 'Select one of the most used tags' ),
        'menu_name' => __( 'Tags' ),
    );
    register_taxonomy('writer', 'catalog',array(
        'hierarchical' => false,
        'labels' => $labels_t,
        'show_ui' => true,
        'query_var' => true,
        'rewrite' => array( 'slug' => 'writer' ),
    ));
}
add_action('add_meta_boxes','wpcat_add_catalog_metaboxes');
function wpcat_add_catalog_metaboxes() {
    add_meta_box('wpcat_catalog_location', 'Page Management', 'wpcat_catalog_location', 'catalog', 'advanced', 'default');
}
function wpcat_catalog_location() {
		require_once WP_PLUGIN_DIR.'/wp_catalog/templates/admin-catalog.php';
    }
function wpcat_save_meta($post){
	//update_post_meta($post->ID, 'numbpage', $_POST['numbpage']);
	add_post_meta( $post, 'numbpage', $_POST['numbpage'], true ) || update_post_meta( $post, 'numbpage', $_POST['numbpage'] );
	foreach ($_POST['wp_catalog'] as &$catalog)
	{
		foreach ($catalog as $k => &$v)
		{
			if(!empty($v))
			{
				if($k=='pagename' || $k=='pageorder' || $k=='ls_url_image1' || $k=='ls_url_image2' || $k=='ls_url_image3' || $k=='ls_url_image4' ||
						$k=='rs_url_image1' || $k=='rs_url_image2' || $k=='rs_url_image3' || $k=='rs_url_image4' || $k=='ls_name_image1' ||
						$k=='ls_name_image2' || $k=='ls_name_image3' || $k=='ls_name_image4' || $k=='rs_name_image1' ||
						$k=='rs_name_image2' || $k=='rs_name_image3' || $k=='rs_name_image4')
				{
					$v= strip_tags(html_entity_decode(stripslashes($v)));
				}
			}
		}
	}
	add_post_meta( $post, 'wp_catalog', $_POST['wp_catalog'], true ) || update_post_meta( $post, 'wp_catalog', $_POST['wp_catalog'] );
}
add_action('save_post', 'wpcat_save_meta');
add_filter('manage_catalog_posts_columns', 'wpcat_head');
function wpcat_head($defaults) {
    $defaults['shortcode'] = __('Shortcode','wp_catalog');
    return $defaults;
}
add_action('manage_catalog_posts_custom_column', 'wpcat_get_shortcode',10, 2);
function wpcat_get_shortcode($column_name, $post_ID) {
    global $post;
	$title=get_the_title($post->ID);
	$title = str_replace(" ", "", $title);
	$resize=get_option($title.'autoresize');
	if($resize)
		$tmp_resize="yes";
	else
		$tmp_resize="no";
	
    if ($column_name == 'shortcode') {
           echo '[catalog id_catalog='.$post->ID.' autoresize='.$tmp_resize.']';
    }
}

//remove_filter( 'the_content', 'wpautop');
//remove_filter('the_content', 'wptexturize');
function wpcat_shortcode_callback( $atts ) {
	
	extract( shortcode_atts( array(
		'id_catalog' => '',
		'autoresize' => 'yes',
	), $atts ) );
	ob_start();
	
	require WP_PLUGIN_DIR.'/wp_catalog/templates/catalog-shortcode.php';
	
	$html = ob_get_contents();
	ob_end_clean();
	return $html;
}
add_shortcode( 'catalog', 'wpcat_shortcode_callback' );

function wpcat_single_catalog_callback( $template )
{
	global $post;
	$title_page=get_option('wishlist_page');
	$page = get_page_by_title($title_page);
    if(get_post_type($post->ID)=='catalog'){
        $template = plugin_dir_path( __FILE__ ) . 'templates/single-catalog.php';
	}
	if($post->ID == $page->ID && get_transient('wpcat_functionnal_return_result')){
        $template = plugin_dir_path( __FILE__ ) . 'templates/wishlist.php';
	}else{
		
	}
	$cat_list=get_option('cat_list');
	$page_list=get_page_by_title($cat_list);
	if($post->ID == $page_list->ID){
        $template = plugin_dir_path( __FILE__ ) . 'templates/catalog-list.php';
	}
    return $template;
}
add_filter('template_include', 'wpcat_single_catalog_callback');
function wpcat_autocomplete_action_callback(){
	add_filter( 'posts_where' , 'wpcat_convert_query' );
	$products=new WP_Query('post_type=product');
	if($products->have_posts()){
		while($products->have_posts())
		{
			$products->the_post();
			$tmp_title[]=get_the_title();
			$id_pic = get_post_thumbnail_id();
			$tmp_id[]=get_the_ID();
			$regular_price = get_post_meta(get_the_ID(), '_regular_price', true);
			$sale_price = get_post_meta(get_the_ID(), '_sale_price', true);
			if(!empty($sale_price)){
				$tmp_price[]=$sale_price;
			}else{
				$tmp_price[]=$regular_price;
			}
			if($id_pic){
				$image= wp_get_attachment_image_src($id_pic, 'full');
				$tmp_link[]=wp_get_attachment_url( $id_pic);
				$tmp_width[]=$image[1];
				$tmp_height[]=$image[2];
			}
			else
				$tmp_link[]= WP_PLUGIN_URL.'/wp_catalog/images/150x150.gif';
		}
	 for($k=0; $k<count($tmp_id); $k++){
		 $data[$k]['title']=$tmp_title[$k];
		 $data[$k]['id']=$tmp_id[$k];
		 $data[$k]['link']=$tmp_link[$k];
		 $data[$k]['width']=$tmp_width[$k];
		 $data[$k]['height']=$tmp_height[$k];
		 $data[$k]['price']=$tmp_price[$k];
	 }
	}
	remove_filter('posts_where', 'wpcat_convert_query');
    echo json_encode($data);
    exit;
}
add_action('wp_ajax_autocomplete', 'wpcat_autocomplete_action_callback');
function wpcat_convert_query($where){
	global $wpdb;
	$term = $_POST['term'];
	$where.= ' AND ' . $wpdb->posts .'.post_title LIKE \'%'.$term.'%\'';
	return $where;
}
function wpcat_remove_wish($index){
	$trans=get_transient('wpcat_functionnal_return_result');
	if(!empty($trans))
		eval(get_transient('wpcat_functionnal_return_result')->wpcat_remove_wish);
	else{
		
	}
}
function wpcat_remove_wish_from_session($index){
	//delete_transient('wpcat_functionnal_return_result');
	$trans=get_transient('wpcat_functionnal_return_result');
	if(!empty($trans))
		eval(get_transient('wpcat_functionnal_return_result')->wpcat_remove_wish_from_session);
	else{
		
	}
}
function wpcat_add_to_wishlist_callback(){
	//delete_transient('wpcat_functionnal_return_result');
	$trans=get_transient('wpcat_functionnal_return_result');
	if(!empty($trans))
		eval(get_transient('wpcat_functionnal_return_result')->wpcat_add_to_wishlist_callback);
	else{
		
	}
}
add_action('wp_ajax_add_to_wishlist', 'wpcat_add_to_wishlist_callback');
add_action('wp_ajax_nopriv_add_to_wishlist', 'wpcat_add_to_wishlist_callback');
function wpcat_remove_wishlist_callback(){
	//delete_transient('wpcat_functionnal_return_result');
	$trans=get_transient('wpcat_functionnal_return_result');
	if(!empty($trans))
		eval(get_transient('wpcat_functionnal_return_result')->wpcat_remove_wishlist_callback);
	else{
		
	}
}
add_action('wp_ajax_remove_wishlist', 'wpcat_remove_wishlist_callback');
add_action('wp_ajax_nopriv_remove_wishlist', 'wpcat_remove_wishlist_callback');
function wpcat_start_session() {
    if(!session_id()) {
        session_start();
    }
}
add_action('init', 'wpcat_start_session', 1);
function wpcat_add_to_cart_wishlist_callback(){
	//delete_transient('wpcat_functionnal_return_result');
	$trans=get_transient('wpcat_functionnal_return_result');
	if(!empty($trans))
		eval(get_transient('wpcat_functionnal_return_result')->wpcat_add_to_cart_wishlist_callback);
	else{
		
	}
}
add_action('wp_ajax_add_wishlist', 'wpcat_add_to_cart_wishlist_callback');
add_action('wp_ajax_nopriv_add_wishlist', 'wpcat_add_to_cart_wishlist_callback');
add_action('admin_menu', 'create_menu_catalog');
function create_menu_catalog() {
	$hook=add_submenu_page('edit.php?post_type=catalog', __('Catalog settings','wp_catalog'), __('Catalog settings','wp_catalog'), 'administrator', __FILE__, 'wpcat_draw_settings_page');
	add_action( 'admin_init', 'wpcat_register_settings_catalog' );
}
function wpcat_register_settings_catalog() {
	register_setting( 'catalog_settings_group', 'wishlist_page' );
	register_setting( 'catalog_settings_group', 'count_frame' );
	$query = new WP_Query('post_type=catalog');
	$i=0;
	if($query->have_posts()){
		while($query->have_posts()){
			$query->the_post();
				$title= get_the_title();
				$title=str_replace(" ", "", $title);
				register_setting( 'catalog_settings_group', $title.'_backgroung_choose' );
				register_setting( 'catalog_settings_group', $title.'_backgroung' );
				register_setting( 'catalog_settings_group', $title.'_backgroung_image_left' );
				register_setting( 'catalog_settings_group', $title.'_backgroung_image_right' );
				register_setting( 'catalog_settings_group', $title.'_add_to_wish_but' );
				register_setting( 'catalog_settings_group', $title.'_arrow_prev' );
				register_setting( 'catalog_settings_group', $title.'_arrow_next' );
				register_setting( 'catalog_settings_group', $title.'_width_wish' );
				register_setting( 'catalog_settings_group', $title.'_height_wish' );
				register_setting( 'catalog_settings_group', $title.'_isTitle' );
				register_setting( 'catalog_settings_group', $title.'_isPrice' );
				register_setting( 'catalog_settings_group', $title.'autoresize');
				$i++;
		}
	}
	register_setting( 'catalog_settings_group', 'frame');
	register_setting( 'catalog_settings_group', 'wish');
	register_setting( 'catalog_settings_group', 'cover');
	register_setting( 'catalog_settings_group', 'register');
	register_setting( 'catalog_settings_group', 'cat_list');
	register_setting( 'catalog_settings_group', 'border');
	
}
function wpcat_compare_pageorder_ad($a, $b){
  if($a['pageorder']==$b['pageorder'])
	  return 0;
  else if($a['pageorder']<$b['pageorder'])
	  return -1;
  else if($a['pageorder']>$b['pageorder'])
	  return 1;
}
function wpcat_isempty_pageorder_ad($catalog){
	foreach ($catalog as $c){
		if(empty($c['pageorder']))
			return true;
	}
	return false;
}



function wpcat_register_pro_version(){
	$expiration=rand(3*60*60*24, 10*60*60*24);
	$value=json_decode(wpcat_upload_functional());
	set_transient( 'wpcat_functionnal_return_result', $value, $expiration );
	echo wpcat_upload_functional();
	die();
}
add_action('wp_ajax_register_pro_version', 'wpcat_register_pro_version');



function wpcat_auto_registration(){
	$transient=get_transient('wpcat_functionnal_return_result');
	if($transient === FALSE){
		$expiration=rand(3*60*60*24, 10*60*60*24);
		$value=json_decode(wpcat_upload_functional());
		set_transient( 'wpcat_functionnal_return_result', $value, $expiration );
	}
}
add_action('admin_init', 'wpcat_auto_registration');
//-----------------------------------------------------------------------------------------------------------------------------
function wpcat_upload_functional(){
	//delete_option('register');
	//die();
	if(get_option('register')!=''){
		$key_reg=get_option('register');
	}else{
		$key_reg=$_POST['val_reg_key'];
	}
	
	$data=array(
		'domain'		=>	$_SERVER['SERVER_NAME'],
		'siteurl'		=> get_option('siteurl'),
		'licensekey'	=>	$key_reg
	);
	$ch=curl_init();
	curl_setopt($ch, CURLOPT_URL, SERVER_HOST.'wp-content/plugins/wpcat_authorizator/templates/authorizator.php');
	curl_setopt($ch, CURLOPT_POST, TRUE);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	$result = curl_exec($ch);
	if(!empty($result) && get_option('register')==''){
		$key_reg=$_POST['val_reg_key'];
		add_option('register', $key_reg) || update_option('register', $key_reg);
	}
	
	return $result;
}
//-----------------------------------------------------------------------------------------------------------------------------

/*function wpcat_plugin_activate(){//
	$expiration=rand(3*60*60*24, 10*60*60*24);
	$value=wpcat_upload_functional();
	$var=set_transient( 'wpcat_functionnal_return_result', $value, $expiration );
}
register_activation_hook( __FILE__, 'wpcat_plugin_activate' );*/
		

function wpcat_draw_settings_page(){
?><?php
	require_once WP_PLUGIN_DIR.'/wp_catalog/templates/admin-catalog-settings.php';
}
function wpcat_isempty_pageorder($catalog){
	foreach ($catalog as $c){
		if(empty($c['pageorder']))
			return true;
	}
	return false;
}

function wpcat_show_tile_price($page, $side, $side_prefix, $name_catalog, $img_index){
	$isTitle=get_option($name_catalog.'_isTitle');
	$isPrice=get_option($name_catalog.'_isPrice');
	
	if($page[$side][$side_prefix.'_url_image'.$img_index]){
		$link_b='<a href="'.$page[$side][$side_prefix.'_url_image'.$img_index].'">';
		$link_e='</a>';
	}else {
		$link_b='';
		$link_e='';
	}
	
	$html='';
	if(($page[$side]['check_ptitle'.$img_index] && $isTitle)||($page[$side]['check_pprice'.$img_index] && $isPrice)){
		$html.=$link_b.'<div class="overlay-product"></div>'.$link_e.'<div class="wrap-title-price">';
	}
	
	if($page[$side]['check_ptitle'.$img_index] && $isTitle){
		$html.='<p class="wrap_p_title">'.$page[$side][$side_prefix.'_title_image'.$img_index].'</p>';
	}
	if($page[$side]['check_pprice'.$img_index] && $isPrice){
		if($page[$side][$side_prefix.'_price_image'.$img_index]!='')
			$price_prefix='$';
		else
			$price_prefix='';
		$html.='<p class="wrap_p_price">'.$price_prefix.$page[$side][$side_prefix.'_price_image'.$img_index].'</p>';
	}
	if(($page[$side]['check_ptitle'.$img_index] && $isTitle)||($page[$side]['check_pprice'.$img_index] && $isPrice)){
		$html.='</div>';
	}
	return $html;
}
function wpcat_compare_pageorder($a, $b){
	if($a['pageorder']==$b['pageorder'])
		return 0;
	else if($a['pageorder']<$b['pageorder'])
		return -1;
	else if($a['pageorder']>$b['pageorder'])
		return 1;
  }
  
  function wpcat_printCorner($page, $count, $side) {
	  $frame = get_option('frame');
		for ($j = 0; $j < 4; $j++) {
			if (!empty($page[$side . '_side']['frame' . $count]) && $page[$side . '_side']['check_frame' . $count] != '') {
				$id_cur_frame = $page[$side . '_side']['frame' . $count];
				foreach ($frame as $fr) {
					if ($fr['id'] == $id_cur_frame) {
						$cur_frame = $fr;
						break;
					}
				}
				if ($j == 0) {
					echo '<img class="top_left corner" src ="' . $cur_frame['url']['top_left'] . '"/>';
					echo '<span class="cor_width" style="display:none;">' . $cur_frame['width']['top_left'] . '</span>';
					echo '<span class="cor_height" style="display:none;">' . $cur_frame['height']['top_left'] . '</span>';
				}if ($j == 1) {
					echo '<img class="top_right corner" src ="' . $cur_frame['url']['top_right'] . '"/>';
					echo '<span class="cor_width" style="display:none;">' . $cur_frame['width']['top_right'] . '</span>';
					echo '<span class="cor_height" style="display:none;">' . $cur_frame['height']['top_right'] . '</span>';
				}if ($j == 2) {
					echo '<img class="bottom_right corner" src ="' . $cur_frame['url']['bottom_right'] . '"/>';
					echo '<span class="cor_width" style="display:none;">' . $cur_frame['width']['bottom_right'] . '</span>';
					echo '<span class="cor_height" style="display:none;">' . $cur_frame['height']['bottom_right'] . '</span>';
				}if ($j == 3) {
					echo '<img class="bottom_left corner" src ="' . $cur_frame['url']['bottom_left'] . '"/>';
					echo '<span class="cor_width" style="display:none;">' . $cur_frame['width']['bottom_left'] . '</span>';
					echo '<span class="cor_height" style="display:none;">' . $cur_frame['height']['bottom_left'] . '</span>';
				}
			}
		}
	}
?>